<?php
/*
 * Smarty plugin
 * -------------------------------------------------------------
 * File:     prefilter.pre01.php
 * Type:     prefilter
 * Name:     pre01
 * Purpose:  Convert html tags to be lowercase.
 * -------------------------------------------------------------
 */
 function smarty_outputfilter_lang($source)
 {
     return preg_replace_callback ('/##(.+?)##/', 'langstr', $source);
 }

 function langstr($treffer)
 {
	global $lang;
     return $lang->_($treffer[1]);
 }
?>
